//
//  GLReverseGeocoderProtocol.h
//  GLAtlasKit
//
//  Created by Jeffrey Early on 10/6/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

@protocol GLReverseGeocoder <NSObject>

// User presentable name of the reverse geocoding service
- (NSString *)name;

// Synchronous request
- (NSDictionary *) descriptionForLatitude: (double) latitude longitude: (double) longitude;

// Asynchronous request -- the return selector should take one argument, the return dictionary.
- (void) descriptionForLatitude: (double) latitude longitude: (double) longitude delegate: (id) aDelegate didFinishSelector: (SEL) selector;

@end
