//
//  GLEvent.h
//  GLGPSKit
//
//  Created by Jeffrey Early on 7/24/08.
//  Copyright 2008 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface GLEvent : NSManagedObject {

}

/************************************************/
/*		Basic Attributes						*/
/************************************************/

#pragma mark -
#pragma mark Basic Attributes
#pragma mark

// User chosen name for the event.
@property(strong) NSString * name;

// Start time on the earliest track or waypoint.
@property(strong) NSDate * startDate;

// Time interval between the startDate and the latest track or waypoint.
@property(strong) NSDecimalNumber * duration;

// The order in which this this element was imported from the import source.
@property NSInteger order;

/************************************************/
/*		Fundamental Relationships				*/
/************************************************/

#pragma mark -
#pragma mark Fundamental Relationships
#pragma mark

// The fundamental building blocks of an event.
@property(strong) NSSet* routes;
@property(strong) NSSet* tracks;
@property(strong) NSSet* waypoints;

// Each event belongs to exactly one category, like a genre.
@property(strong) NSManagedObject * category;

/************************************************/
/*		Location Metadata						*/
/************************************************/

#pragma mark -
#pragma mark Location Metadata
#pragma mark

@property(strong) NSSet* cities;
@property(strong) NSSet* counties;
@property(strong) NSSet* states;
@property(strong) NSSet* countries;
@property(strong) NSSet* continents;

/************************************************/
/*		Other Metadata							*/
/************************************************/

#pragma mark -
#pragma mark Other Metadata
#pragma mark

@property(strong) NSSet* keywords;

@end
